/*head tab*/
apiready = function(){
    api.parseTapmode();
}
function onSelect(e,amt){
  $('.aui-btn,.aui-btn-block,.active').removeClass('active');
  $(e).addClass('active').siblings()
  $("#hdAmt").val(amt);
}
function onSubmit(){
  var amt=$('#hdAmt').val();
  if(amt<=0){
    api.toast({	msg:'请选择您需要充值的金额',duration:2000,location:'bottom'});
    return;
  }
  var uid = $api.getStorage('userid');
  var data={};
  data.CU_Id=uid;
  data.Amt=amt;
  data.subject='旅游旅行账户余额充值'+amt+'元';
  data.tradeNo=String(uid)+String(Date.parse(new Date()));
  // console.log(JSON.stringify(data));
  var payWay= $('input[name="pay"]:radio:checked').val();
  if(payWay==1){
       setAlipay(data);
  }else if(payWay==2){
    setWepay(data);
  }
}
function setAlipay(data){
  var result=accAliPay({
      'pre_price':data.Amt,
      'body':data.subject,
      'subject':data.subject,
      'tradeno':data.tradeNo
  });
  result.then(function(res){
      if (res.status==200) {
          var aliPayPlus = api.require('aliPayPlus');
          aliPayPlus.payOrder({
              orderInfo: res.msg
          }, function(ret, err) {
              if(ret.code==9000){
                var rgData={};
                rgData.RG_TradeNo=data.subject;
                rgData.CU_Id=data.CU_Id;
                rgData.RG_Amt=data.Amt;
                rgData.RG_Way=1;
                var strdata = JSON.stringify(rgData);
                var result=userRecharge({data:strdata});
                result.then(function(subres){
                  // console.log(JSON.stringify(subres));
                   if(subres.status==200){
                     api.sendEvent({name: 'UserAcc'});
                     api.toast({	msg:'您已成功充值'+data.Amt+'元',duration:3000,location:'bottom'});
                   }else{
                     api.toast({	msg:'您已充值失败，可能是系统故障，请联系管理员。',duration:3000,location:'bottom'});
                   }

                });
              }else{
                 api.toast({	msg:'您已取消充值',duration:3000,location:'bottom'});
              }
          });
      }
  });
}
function setWepay(data){
  var result=wepay({
      'pre_price':data.Amt,
      'body':data.subject,
      'subject':data.subject,
      'tradeno':data.tradeNo
  });
  result.then(function(res){
      if (res.status==200) {
          var wxPay = api.require('wxPay');
          wxPay.payOrder({
              apiKey: res.msg.appid,
              orderId: res.msg.prepayid,
              mchId: res.msg.partnerid,
              nonceStr: res.msg.noncestr,
              timeStamp: res.msg.timestamp,
              package: res.msg.package,
              sign: res.msg.sign
          }, function(ret, err) {
              if (ret.status) {
                var rgData={};
                rgData.RG_TradeNo=data.subject;
                rgData.CU_Id=data.CU_Id;
                rgData.RG_Amt=data.Amt;
                rgData.RG_Way=2;
                var strdata = JSON.stringify(rgData);
                var result=userRecharge({data:strdata});
                result.then(function(subres){
                  // console.log(JSON.stringify(subres));
                   if(subres.status==200){
                     api.sendEvent({name: 'RefreshUserCenter'});
                     api.toast({	msg:'您已成功充值'+data.Amt+'元',duration:3000,location:'bottom'});
                   }else{
                     api.toast({	msg:'您已充值失败，可能是系统故障，请联系管理员。',duration:3000,location:'bottom'});
                   }

                });
              }else{
                  api.toast({	msg:'您已取消充值',duration:3000,location:'bottom'});
              }
          });
      }
  });
}
