/*head tab*/
apiready = function(){
    api.parseTapmode();
    initAcc();
}
function initAcc(){
  var uid = $api.getStorage('userid');
  var result=getUserAcc({uid:uid});
  result.then(function(res){
    if(res.status==200){
      var acc=res.info.AC_Amt?res.info.AC_Amt:"0.00";
      $('#zfAmt').text(acc);
      $api.setStorage('totalAcc',res.info.AC_Amt);
    }
  });
}

function withdraw(){
  var money = $("#zfAmt").text();
  var txMoeny = Number($("#txtMoney").val());//提现金额
  if(txMoeny <= 0 || isNaN(txMoeny)){
    api.toast({	msg:'请输入提现金额',duration:2000,location:'bottom'});
    return;
  }else if(Number(money) < txMoeny){
    api.toast({	msg:'超出可提现金额！',duration:2500,location:'bottom'});
    return;
  }else if((txMoeny % 100) != 0){
    api.toast({	msg:'只能提现100的整数倍',duration:2500,location:'bottom'});
    return;
  }

  var dialog = new auiDialog();
   var radioPay= $('input[name="pay"]:checked ').val();;
   if(radioPay==1){
       dialog.alert({
           title: "支付宝账号",
           msg: '<input id="accNo" type="text" class="wdMoney" placeholder="请输入支付宝账号" /><input id="realName" type="text" class="zhifubao" placeholder="真实姓名" />',
           buttons: ['取消', '确定']
       }, function(ret) {
         console.log(JSON.stringify(ret));
         if(ret.buttonIndex==2){
               var accNo=$('#accNo').val();
               var realName=$('#realName').val();

               if(accNo.length < 6){
                 api.toast({	msg:'请输入有效支付宝账号',duration:2000,location:'bottom'});
                 return;
               }
               if(realName.length < 2){
                 api.toast({	msg:'请输入有效姓名',duration:2000,location:'bottom'});
                 return;
               }
               var data={};
               data.CU_Id = $api.getStorage('userid');
               data.WD_Holder = realName;
               data.WD_Amt = $('#txtMoney').val();
               data.WD_Alipay = accNo;
               var strdata = JSON.stringify(data);
               var result = userWithdraw({data:strdata});
               result.then(function(res) {
                 if(res.status==200){
                      initAcc();
                      $('#txtMoney').val('0');
                      api.toast({msg : '提现成功！',duration : 3000,location : 'bottom'});
                  }else {
                      api.toast({msg : res.msg,duration : 3000,location : 'bottom'});
                  }
               });
           }else{
             console.log("您已点击取消");
           }
       });
   }else{
       dialog.alert({
           title: "微信账号",
           msg: '<input id="accNo" type="number" class="wdMoney" placeholder="请输入微信账号" /><input id="realName" type="text" class="zhifubao" placeholder="真实姓名" />',
           buttons: ['取消', '确定']
       }, function(ret) {
          if(ret.buttonIndex==2){
               var accNo=$('#accNo').val();
               var realName=$('#realName').val();
               if(accNo.length < 6){
                 api.toast({	msg:'请输入有效支付宝账号',duration:2000,location:'bottom'});
                 return;
               }
               if(realName.length < 2){
                 api.toast({	msg:'请输入有效姓名',duration:2000,location:'bottom'});
                 return;
               }

               var data={};
               data.CU_Id = $api.getStorage('userid');
               data.WD_Holder = realName;
               data.WD_Amt = $('#txtMoney').val();
               data.WD_Wepay = accNo;
               var strdata = JSON.stringify(data);
               var result = userWithdraw({data:strdata});
               result.then(function(res) {
                  if(res.status==200){
                      initAcc();
                      $('#txtMoney').val('0');
                      api.toast({msg : '提现成功！',duration : 3000,location : 'bottom'});
                    }else {
                      api.toast({msg : res.msg,duration : 3000,location : 'bottom'});
                    }
               });
           }
       });
   }
}
//校验输入是否合法
function editRecharge() {
    var price = $api.getStorage('redPacket') - 0;
    var val = $('.wdMoney').val();
    if (val < 0) {
        $('.wdMoney').val('');
    } else if (val >= price) {
        $('.wdMoney').val(price);
    }
    //小数点后两位后不能输入
    if (val.length > 3 && /\./.test(val)) {
        var aval = val.replace(/(\d+)\.(\d+)/,
        function(re, $1, $2) {
            if ($2.length > 2)
                return $1 + '.' + $2.substr(0, 2)
            else
              return $1 + '.' + $2
        });
        $('.wdMoney').val(aval);
    }
}
