/*head tab*/
apiready = function(){
    api.parseTapmode();
    bindLeft();
    init();
}
function onSearch(){
  var txtSearch=$('#txtSearch').val();
  bindTourArea(null,null,txtSearch);
}
function init(){
  var index=api.pageParam.index;
  bindTourArea('#item_'+index,index,null);
}
function bindLeft(){
    var info=[];
    // 1：国内热门，2：出境游，3：别国游，4：名胜古迹，5：浪漫海岛
    info.push({title:'国内热门',value:1});
    info.push({title:'出境游',value:2});
    info.push({title:'别国游',value:3});
    info.push({title:'名胜古迹',value:4});
    info.push({title:'浪漫海岛',value:5});
    var html = template('left_tmpl',{left:info});
    $('#tab').html(html);
}
//浪漫海岛
function bindTourArea(item,cate,name){
  if(item){
    $(item).addClass('aui-active');
    $(item).siblings('#tab .aui-tab-item').removeClass('aui-active');
  }
  api.showProgress({style: 'default',animationType: 'fade',title: '努力加载中',text: '',modal: false});
  var param={};
  if(name){
    param.name=name;
  }
  if(cate){
    param.cate=cate;//1：国内热门，2：出境游，3：别国游，4：名胜古迹，5：浪漫海岛
  }
  var result = getHomeTourArea(param);
  result.then(function (res) {
    console.log(JSON.stringify(res));
     api.hideProgress();
     if(res.status == 200){
       $.each(res.info,function(index,item) {
           item.TA_Image = imageUrl + item.TA_Image;
       });
       var html = template('tourarea_tmpl',{tourarea:res.info});
       $('#div_tourarea').html(html);
     }else{
       var html = template('tourarea_tmpl',{tourarea:null});
       $('#div_tourarea').html(html);
     }
   });
}
//跳转到旅游详情
function openTourQuery(area){
  api.openWin({
      name: 'tourquery',
      url: './tourquery.html',
      pageParam:{
        area:area
      }
  });
}
