/*head tab*/
apiready = function(){
    api.parseTapmode();
    init();
}
function init(){
  hideControl();
  var tourkey= api.pageParam.tourkey;
  tourkey='Tour_'+tourkey;
  var text=$api.getStorage(tourkey);
  switch (tourkey) {
    case 'Tour_ContactName':
      $('#divContactName').show();
      $('#txtContactName').val(text);
      break;
    case 'Tour_Phone':
      $('#divPhone').show();
      $('#txtPhone').val(text);
      break;
    case 'Tour_Email':
      $('#divEmail').show();
      $('#txtEmail').val(text);
      break;
    case 'Tour_OtherRemark':
      $('#divOtherRemark').show();
      $('#txtOtherRemark').val(text);
      break;
  }
}
function hideControl(){
  $('#divContactName').hide();
  $('#divPhone').hide();
  $('#divEmail').hide();
  $('#divOtherRemark').hide();
}
function onConfirm(){
  var tourkey= api.pageParam.tourkey;
  tourkey='Tour_'+tourkey;
  switch (tourkey) {
    case 'Tour_ContactName':
      var contactName=$('#txtContactName').val();
      if($.trim(contactName)!='')
        $api.setStorage(tourkey,contactName);
      else
        $api.rmStorage(tourkey);
      break;
    case 'Tour_Phone':
      var phone=$('#txtPhone').val();
      if($.trim(phone)!='')
        $api.setStorage(tourkey,phone);
      else
        $api.rmStorage(tourkey);
      break;
    case 'Tour_Email':
      var email=$('#txtEmail').val();
      if($.trim(email)!='')
        $api.setStorage(tourkey,email);
      else
        $api.rmStorage(tourkey);
      break;
    case 'Tour_OtherRemark':
      var otherRemark=$('#txtOtherRemark').val();
      if($.trim(otherRemark)!='')
        $api.setStorage(tourkey,otherRemark);
      else
        $api.rmStorage(tourkey);
      break;
  }
  api.sendEvent({
      name: 'TourStorage'
  });
  api.closeWin();
}
