/*head tab*/
apiready = function(){
    api.parseTapmode();
    init();
}
function init(){
  hideControl();
  var flightkey= api.pageParam.flightkey;
  flightkey='Flight_'+flightkey;
  console.log(flightkey);
  var text=$api.getStorage(flightkey);
  switch (flightkey) {
    case 'Flight_ContactName':
      $('#divContactName').show();
      $('#txtContactName').val(text);
      break;
    case 'Flight_Phone':
      $('#divPhone').show();
      $('#txtPhone').val(text);
      break;
    case 'Flight_Mobile':
      $('#divMobile').show();
      $('#txtMobile').val(text);
      break;
  }
}
function hideControl(){
  $('#divContactName').hide();
  $('#divPhone').hide();
  $('#divMobile').hide();
}
function onConfirm(){
  var flightkey= api.pageParam.flightkey;
  flightkey='Flight_'+flightkey;
  switch (flightkey) {
    case 'Flight_ContactName':
      var contactName=$('#txtContactName').val();
      if($.trim(contactName)!='')
        $api.setStorage(flightkey,contactName);
      else
        $api.rmStorage(flightkey);
      break;
    case 'Flight_Phone':
      var phone=$('#txtPhone').val();
      if($.trim(phone)!='')
        $api.setStorage(flightkey,phone);
      else
        $api.rmStorage(flightkey);
      break;
    case 'Flight_Mobile':
      var mobile=$('#txtMobile').val();
      if($.trim(mobile)!='')
        $api.setStorage(flightkey,mobile);
      else
        $api.rmStorage(flightkey);
      break;
  }
  api.sendEvent({
      name: 'FlighStorage'
  });
  api.closeWin();
}
