apiready = function(){
  api.parseTapmode();
  init();
  viewdisappear();
}
function init(){
  var flight=api.pageParam.flight;
  var html = template('header_tmpl',{flight:flight});
  $('#div_header').html(html);

  var html = template('flight_tmpl',{flight:flight});
  $('#div_flight').html(html);

  $('#spStartCity').text(flight.orgCity);
  $('#spEndCity').text(flight.dstCity);
}
function viewdisappear(){
  api.addEventListener({
      name:'viewdisappear'
  },function(){
      api.closeWin();
  });
}
//订单确认
function onFlightConfirm(seatItem){
  var userid=$api.getStorage('userid');
  if(!userid){
    setTimeout(function() {
      api.closeWin();
    }, 1000);
    api.openWin({
        name: 'login',
        url: '../user/loginpwd.html',
    });
    return;
  }
  var isVip=$api.getStorage('isVip');
  if(isVip==0){
    api.toast({	msg:"抱歉，您不是会员无法进行下单，请先缴纳会员费。",duration:2000,location:'bottom'});
    return;
  }
  api.openWin({
      name: 'flightconfirm',
      url: './flightconfirm.html',
      pageParam:{
        flight:api.pageParam.flight,
        seatItem:seatItem
      }
  });
}
