apiready = function(){
  bindOrderDetail();
  viewdisappear();
}
function viewdisappear(){
  api.addEventListener({
      name:'viewdisappear'
  },function(){
      clearStorage();
      api.closeWin();
  });
}
function bindOrderDetail(){
  var orderNo=api.pageParam.orderNo;
  var param={};
  param.orderNo=orderNo;
  var result = getFlightOrderDetail(param);
  result.then(function (res) {
    // console.log(JSON.stringify(res));
    if(res.status==200){
      $api.setStorage('orderInfo',res.info);
      var flight=res.info.segments[0];
      var html = template('header_tmpl',{flight:flight});
      $('#div_header').html(html);

      var html = template('orderinfo_tmpl',{order:res.info});
      $('#div_orderinfo').html(html);

      var html = template('footer_tmpl',{order:res.info});
      $('#div_footer').html(html);

      $('#spStartCity').text(flight.orgCity);
      $('#spEndCity').text(flight.dstCity);
    }
  });
}
//清楚缓存
function clearStorage(){
  $api.rmStorage('orderInfo');
}
//支付宝支付
function setAlipay(data){
  console.log(JSON.stringify(data));
    api.showProgress({
      title : ' ',
      text : '加载中...',
      modal : true
    });
    var result=visaAliPay({
        'pre_price':data.payData.totalPay,
        'body':data.segments[0].flightName+'('+data.segments[0].orgCityName+'--'+data.segments[0].dstCityName+')',
        'subject':data.segments[0].flightName+'('+data.segments[0].orgCityName+'--'+data.segments[0].dstCityName+')',
        'tradeno':data.outOrderNo
    });
    result.then(function(res){
        api.hideProgress();
        if (res.status==200) {
            var aliPayPlus = api.require('aliPayPlus');
            aliPayPlus.payOrder({
                orderInfo: res.msg
            }, function(ret, err) {
                clearStorage();
                console.log(JSON.stringify(ret));
                if(ret.code==9000){
                  api.showProgress({
                    title : ' ',
                    text : '加载中...',
                    modal : true
                  });
                  var result=flightPayOrder({
                    orderNo:data.subOrders[0].subOrderNo,
                    outOrderNo:data.outOrderNo,
                    totalPay:data.payData.totalPay
                  });
                  result.then(function(subres){
                    $api.rmStorage('orderInfo');
                    console.log(JSON.stringify(subres));
                    api.hideProgress();
                    api.openWin({
                        name: 'order',
                        url: '../order/order.html',
                        pageParam:{
                          index:3
                        }
                    });
                  });
                }else{
                  api.hideProgress();
                  api.openWin({
                      name: 'order',
                      url: '../order/order.html',
                      pageParam:{
                        index:2
                      }
                  });
                }
            });
          }
    });
}
function onConfirm(){
  var orderInfo=$api.getStorage('orderInfo');
  setAlipay(orderInfo);
}
