apiready = function(){
    api.parseTapmode();
    initDate(3);
    initselected();
    isSelected();
    var dateList=api.pageParam.dateList;
    if(dateList&&dateList!='undefined'){
      bindDateList(dateList);
    }
}
function initDate(index){
  for (var q = 0; q < index; q++) {
      var select = q;
      $('.calendar').find(".tbody").append("<p class='ny1'></p><table class='dateTable'></table>")
      var currentDate = new Date();
      currentDate.setMonth(currentDate.getMonth() + select);
      var currentYear = currentDate.getFullYear();
      var currentMonth = currentDate.getMonth();
      var setcurrentDate = new Date(currentYear, currentMonth, 1);
      var firstDay = setcurrentDate.getDay();
      var yf = currentMonth + 1;
      if (yf < 10) {
          $('.calendar').find('.ny1').eq(select).text(currentYear + '年' + '0' + yf + '月');
      } else {
          $('.calendar').find('.ny1').eq(select).text(currentYear + '年' + yf + '月');
      }
      var DaysInMonth = [];
      if (isLeapYear(currentYear)) {
          DaysInMonth = new Array(31, 29, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31);
      } else {
          DaysInMonth = new Array(31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31);
      }
      var Ntd = firstDay + DaysInMonth[currentMonth];
      var Ntr = Math.ceil(Ntd / 7);
      for (var i = 0; i < Ntr; i++) {
          $('.calendar').find('.dateTable').eq(select).append('<tr></tr>');
      };
      var createTd = $('.calendar').find('.dateTable').eq(select).find('tr');
      createTd.each(function(index, element) {
          for (var j = 0; j < 7; j++) {
              $(this).append('<td></td>')
          }
      });
      var arryTd = $('.calendar').find('.dateTable').eq(select).find('td');
      for (var m = 0; m < DaysInMonth[currentMonth]; m++) {
          var findDay=firstDay++;
          arryTd.eq(findDay).text(m + 1);
          // arryTd.eq(findDay).append('</br><p class="rz">300元</p>');
          arryTd.eq(findDay).attr('day',m + 1);
          arryTd.eq(findDay).attr('month',Number(currentMonth)+1);
          arryTd.eq(findDay).attr('year',currentYear);
      }
  }
}
function bindDateList(dateList){
    $('.calendar').find('.tbody').find('td').each(function(index, element) {
      var day=$(this).attr('day');
      var month=$(this).attr('month');
      var year=$(this).attr('year');
      if(!month||!day)return;
      month = (month.length == 1) ? ("0" + month) : month;
      day = (day.length == 1) ? ("0" + day) : day
      var strDate=year+'-'+month+'-'+day;
      $.each(dateList,function(i,item){
        if (strDate==item.ScheduleDate) {
          var ele='<div style="color: #F44336;font-size: 10px;">￥'+item.PersonPeerPrice+'</div>';
           $(element).append(ele);
        }
      });
    });
}
function initselected(){
    var strDays = new Date().getDate();
    var strMonth = new Date().getMonth();
    var arry=[];
    $('.calendar').find('.tbody').find('td').each(function(index, element) {
      var day=$(this).attr('day');
      var month=$(this).attr('month');
      if(Number(month)<=Number(strMonth)&&Number(day)<Number(strDays)){
        $(element).css('color', '#ccc');
        return;
      }
      if ($(this).text() != '') {
        arry.push(element);
      }
    });
    $(arry).on('click', function(index) {
       $.each(arry,function(index,el){
          $(el).css({'background': '#fff','color': '#333333'});
       });
       $(this).css({'background': '#3fb3a8','color': '#fff'});
       $api.setStorage('selectdate',{
         day:$(this).attr('day'),
         month:$(this).attr('month'),
         year:$(this).attr('year')
       });
       api.sendEvent({
           name: 'HomeStorage'
       });
       api.sendEvent({
           name: 'FlightStorage'
       });
       api.sendEvent({
           name: 'TourStorage'
       });
    });
}
function isSelected(dateList){
  var selectdate=$api.getStorage('selectdate');
  selectdate.year=new Date().getFullYear();
  $('.calendar').find('.tbody').find('td').each(function(index, element) {
    var day=$(this).attr('day');
    var month=$(this).attr('month');
    var year=$(this).attr('year');
    if (year==selectdate.year&&month==selectdate.month&&day==selectdate.day) {
       $(this).css({'background': '#3fb3a8','color': '#fff'});
    }
  });

}
function isLeapYear(year) {
    return (year % 4 == 0) && (year % 100 != 0 || year % 400 == 0);
}
