/*head tab*/
apiready = function(){
    api.parseTapmode();
    bindLeft();
    init();
}
function onSearch(){
  var txtSearch=$('#txtSearch').val();
  bindTourArea(null,null,txtSearch);
}
function init(){
  var index=api.pageParam.index;
  bindTourArea('#item_1','西南地区',null);
}
function bindLeft(){
    var info=[];
    // 1：国内热门，2：出境游，3：别国游，4：名胜古迹，5：浪漫海岛
    info.push({title:'西南地区',value:'西南地区',index:1});
    info.push({title:'华东地区',value:'华东地区',index:2});
    info.push({title:'华北地区',value:'华北地区',index:3});
    info.push({title:'东南地区',value:'东南地区',index:4});
    info.push({title:'中部地区',value:'中部地区',index:5});
    info.push({title:'西部地区',value:'西部地区',index:6});
    info.push({title:'港澳台',value:'港澳台',index:7});
    info.push({title:'东南亚',value:'东南亚',index:8});
    info.push({title:'中东非洲',value:'中东非洲',index:9});
    info.push({title:'欧洲',value:'欧洲',index:10});
    info.push({title:'美洲',value:'美洲',index:11});
    info.push({title:'澳洲',value:'澳洲',index:12});
    info.push({title:'日韩',value:'日韩',index:13});
    info.push({title:'南极洲',value:'南极洲',index:14});
    var html = template('left_tmpl',{left:info});
    $('#tab').html(html);
}
//浪漫海岛
function bindTourArea(item,reg,search){
  if(item){
    $(item).addClass('aui-active');
    $(item).siblings('#tab .aui-tab-item').removeClass('aui-active');
  }
  api.showProgress({style: 'default',animationType: 'fade',title: '努力加载中',text: '',modal: false});
  var param={};
  if(reg){
    param.reg=reg;
  }
  if(search){
    param.text=search;
  }
  // console.log(JSON.stringify(param));
  var result = queryTourSpot(param);
  result.then(function (res) {
     api.hideProgress();
     if(res.status == 200){
       $.each(res.info,function(index,item) {
           item.TA_Image = imageUrl + item.TA_Image;
       });
       var html = template('tourarea_tmpl',{tourarea:res.info});
       $('#div_tourarea').html(html);
     }else{
       var html = template('tourarea_tmpl',{tourarea:null});
       $('#div_tourarea').html(html);
     }
   });
}
//跳转到旅游详情
function onSelectArea(area){
  $api.setStorage('tourquerycity',area);
  api.sendEvent({
      name: 'TourListStorage'
  });
  api.closeWin();
}
