/*head tab*/
apiready = function(){
    api.parseTapmode();
    initListener();
}
//初始化监听窗口
function initListener(){
  api.addEventListener({
      name:'viewdisappear'
  },function(){
      api.closeWin();
  });
}
//点击账户注册跳转到注册页面
function onRegister(){
    api.openWin({
        name: 'Register',
        url: './register.html'
    });
}
//点击密码登录跳转到密码登录页面
function onLogin(){
    api.openWin({
        name: 'Login',
        url: './login.html'
    });
}
//发送短信验证码
function SendVCode(){
  var getVCode=$('#getVCode').text();
  if(getVCode!='获取验证码'){
    return;
  }
	var data_str = $('#form').serialize();
	var data=strToObj(data_str);
	var ele = document.getElementById('getVCode');
	//用手机号请求接口拿到验证码
	var result=sendCode({'mobile':data.mobile,'type':'login'});
	result.then(function(res){
		if(res.status==200){
      api.toast({	msg:'验证码发送成功',duration:2000,location:'bottom'});
			setTimeDown(60,ele);
		}else{
      api.toast({	msg:'验证码发送失败',duration:2000,location:'bottom'});
		}
	})
}

var timer;
function setTimeDown(t,e){
	if(t==0 || timer!=null){/*有清除定时器的操作*/
    clearTimeout(timer);
  }
  if (t == 0) {
			$(e).removeAttr("disabled");
			$(e).html('获取验证码');
			// $api.one(e, 'click', SendVCode,false);
  } else {
      $(e).html("重新发送(" + t + ")");
      t--;
      timer = setTimeout(function() {
          setTimeDown(t,e);
      },1000);
  }
}
//将序列化表单的字符串转化为对象
function strToObj(str){
	str = str.replace(/&/g,"','");
    str = str.replace(/=/g,"':'");
    str = "({'"+str +"'})";
    obj = eval(str);
    return obj;
}
//点击登录_验证码登录
function onSubmit(){
  var data_str = $('#form').serialize();
  var data=strToObj(data_str);
  if(data.mobile.length!=11){
    api.toast({	msg:'请输入11位手机号！',duration:2000,location:'bottom'});
    return false;
  }else if(data.vCode.length<6){
    api.toast({	msg:'验证码输入错误！',duration:2000,location:'bottom'});
    return false;
  }
  //验证码登录
  var result=login_sms({
    'mobile':data.mobile,
    'vcode':data.vCode
  });
  result.then(function(res){
    console.log(JSON.stringify(res));
      if (res.status==200) {
        $api.setStorage('userid',res.info.CU_Id);
        $api.setStorage('mobile',res.info.CU_Mobile);
        $('.authcode #code').val("");
        api.openWin({
              name: 'index',
              url: '../../index.html'
        });
        return;
      }else{
        api.toast({msg:'登陆失败',duration:1500,location:'bottom'});
        $('#txtvCode').val("");
      }
    });
}
