apiready = function(){
  api.parseTapmode();
  initRefresh();
  init();
}
function initRefresh(){
    api.setRefreshHeaderInfo({
     visible: true,
     loadingImg: '../image/timg.gif',
     bgColor: '#ccc',
     textColor: '#fff',
     textDown: '下拉刷新...',
     textUp: '松开刷新...',
     showTime: true
   }, function(ret, err) {
     init();
     api.clearCache();
     setTimeout(function(){
       //关闭下拉刷新
       api.refreshHeaderLoadDone();
      },1000);
   });
}
function init(){
  var uid = $api.getStorage('userid');
  if(!uid){
    var html = template('user_tmpl',{user:null});
    $('#div_user').html(html);
    return;
  }
  var result = get_userinfo({uid:uid});
  api.showProgress();
  result.then(function(res){
    api.hideProgress();
    if(res.status ==200){
      if(res.info.CU_Photo&&res.info.CU_Photo!=''){
        res.info.CU_Photo = imageUrl + res.info.CU_Photo;//图片
      }else{
        res.info.CU_Photo ="../../image/user/userinfo/logo-s@2x.png";
      }
      console.log(JSON.stringify(res.info));
      var html = template('user_tmpl',{user:res.info});
      $('#div_user').html(html);
    }else{
      var html = template('user_tmpl',{user:null});
      $('#div_user').html(html);
    }
  });
}
function onMsg(){
  api.openWin({
      name: 'message',
      url: '../public/message.html'
  });
}
function onSetup(){
  api.openWin({
      name: 'userinfo',
      url: './userinfo.html'
  });
}
function onAddress(){
  api.openWin({
      name: 'address',
      url: './address.html'
  });
}
function onAbout(){
  api.openWin({
      name: 'about',
      url: '../public/about.html'
  });
}
function onAcc(){
  api.openWin({
      name: 'acc',
      url: '../acc/acc.html'
  });
}
function onOrder(){
  api.openWin({
      name: 'order',
      url: '../order/order.html'
  });
}
function tel(mobile){
  api.call({
      type: 'tel_prompt',
      number: mobile
  });
}
