apiready = function(){
    api.parseTapmode();
    initListener();
    init();
}
function init(){
  mui.init();
}
//初始化监听窗口
function initListener(){
  api.addEventListener({
      name:'viewdisappear'
  },function(){
      api.closeWin();
  });
}
//会员缴费弹框
function onDialogBox(){
  var dialogBox = api.require('dialogBox');
  dialogBox.alert({
      texts: {
          title: '缴费通知',
          content: '用户注册需要支付1800元，方可成为会员。',
          leftBtnTitle: '取消',
          rightBtnTitle: '前往支付'
      },
      styles: {
          bg: 'widget://image/public/pop@2x.png',
          w: 300,
          corner:2,
          title: {
              marginT: 20,
              icon: 'widget://res/gou.png',
              iconSize: 40,
              titleSize: 18,
              titleColor: '#fff'
          },
          content: {
              color: '#333333',
              marginT: 40,
              size: 16
          },
          left: {
              marginB: 2,
              marginL: 25,
              w: 110,
              h: 35,
              corner: 5,
              bg: '#cacaca',
              color: '#FFF',
              size: 14
          },
          right: {
              marginB: 2,
              marginL: 30,
              w: 110,
              h: 35,
              corner: 5,
              bg: '#6cbcef',
              color: '#FFF',
              size: 14
          }
      }
  }, function(ret) {
      if (ret.eventType == 'left') {
          $api.setStorage('isVip',0);
        setTimeout(function() {
          api.openWin({
                name: 'index',
                url: '../../index.html'
          });
         }, 1000);
          var dialogBox = api.require('dialogBox');
          dialogBox.close({
              dialogName: 'alert'
          });

      }else{
        setAlipay();
      }
  });
}
function setAlipay(){
  var result=userAliPay();
  result.then(function(res){
      if (res.status==200) {
          var aliPayPlus = api.require('aliPayPlus');
          aliPayPlus.payOrder({
              orderInfo: res.msg
          }, function(ret, err) {
              var dialogBox = api.require('dialogBox');
              dialogBox.close({
                  dialogName: 'alert'
              });
              if(ret.code==9000){
                var userid=$api.getStorage('userid');
                var result=userJoin({
                  uid:userid
                });
                result.then(function(subres){
                    if (res.status==200) {
                      $api.setStorage('isVip',1);
                      api.toast({	msg:"恭喜您成为侣友旅行会员！",duration:2000,location:'bottom'});
                      setTimeout(function() {
                        api.openWin({
                              name: 'index',
                              url: '../../index.html'
                        });
                       }, 1000);
                    }else{
                      api.toast({	msg:"抱歉，您已缴费失败，如系统出现故障请联系客服人员。",duration:2000,location:'bottom'});
                    }
                });

              }else{
                api.toast({	msg:"您已注册成功，但不属于会员只能享受体验版，不能进行下单操作。",duration:2000,location:'bottom'});
                setTimeout(function() {
                  api.openWin({
                        name: 'index',
                        url: '../../index.html'
                  });
                 }, 1000);
              }
          });
      }else{
        var dialogBox = api.require('dialogBox');
        dialogBox.close({
            dialogName: 'alert'
        });
      }
  });
}
function submit(){
  var userdata= api.pageParam.userinfo;
  var pwd=$('#txtUserPwd').val();
  if(pwd.length<2){
    api.toast({	msg:'请输入登录密码',duration:2000,location:'bottom'});
    return false;
  }
  var data={};
  data.CU_Pwd=pwd;
  data.CU_LoginName=userdata.mobile;
  data.CU_RealName=userdata.realName;
  data.CU_Nickname=userdata.realName;
  data.CU_Mobile=userdata.mobile;
  data.CU_Province=userdata.province;
  data.CU_City=userdata.city;
  data.CU_Area=userdata.area;
  var strdata = JSON.stringify(data);
  var result=register({data:strdata});
  result.then(function(res){
    console.log(JSON.stringify(res));
    if (res.status==200){
        $api.setStorage('userid',res.info);
        onDialogBox();
    }else{
      api.toast({msg:res.msg,duration:2000,location:'bottom'});
    }
  })
}
