/*head tab*/
apiready = function(){
    api.parseTapmode();
    init();
}
function init(){
  hideControl();
  var fieldKey= api.pageParam.fieldKey;
  var fieldValue= api.pageParam.fieldValue;
  if(fieldValue=='暂无'){
    fieldValue='';
  }
  switch (fieldKey) {
    case 'NickName':
      $('#divNickName').show();
      $('#txtNickName').val(fieldValue);
      break;
    case 'RealName':
      if(fieldValue!=''){
        $("#txtRealName").attr({"disabled":"disabled"});
      }
      $('#divRealName').show();
      $('#txtRealName').val(fieldValue);
      break;
    case 'Mobile':
      if(fieldValue!='')
        $("#txtMobile").attr({"disabled":"disabled"});
      $('#divMobile').show();
      $('#txtMobile').val(fieldValue);
      break;
    case 'Wechat':
      $('#divWechat').show();
      $('#txtWechat').val(fieldValue);
      break;
    case 'Remark':
      $('#divRemark').show();
      $('#txtRemark').val(fieldValue);
      break;
  }
}
function hideControl(){
  $('#divNickName').hide();
  $('#divRealName').hide();
  $('#divMobile').hide();
  $('#divWechat').hide();
  $('#divRemark').hide();
}
function onConfirm(){
  var fieldKey= api.pageParam.fieldKey;
  var controlName='#txt'+fieldKey;
  var fieldValue=$(controlName).val();
  var data = {};
  switch (fieldKey) {
    case 'NickName':
      data.CU_NickName=fieldValue;
      break;
    case 'RealName':
      data.CU_RealName=fieldValue;
      break;
    case 'Mobile':
      data.CU_Mobile=fieldValue;
      break;
    case 'Wechat':
      data.CU_Wechat=fieldValue;
      break;
    case 'Remark':
      data.CU_Remark=fieldValue;
      break;
  }
  data.CU_Id = $api.getStorage('userid');
  var strdata = JSON.stringify(data);
  var result = update_userinfo({data:strdata});
  result.then(function(res) {
    if(res.status==200){
      api.sendEvent({
          name: 'reloadUserInfo'
      });
      api.closeWin();
    }else{
      api.toast({
          msg : '修改失败！',
          duration : 3000,
          location : 'bottom'
      });
    }
  });

}
