/*head tab*/
apiready = function(){
    api.parseTapmode();
    initRefresh();
    //首页轮播
    bindAdvert();
    // 热门签证
    bindHotVisa();
    //加急签证
    bindSpeedVisa();
}
function initRefresh(){
    api.setRefreshHeaderInfo({
     visible: true,
     loadingImg: '../image/timg.gif',
     bgColor: '#ccc',
     textColor: '#fff',
     textDown: '下拉刷新...',
     textUp: '松开刷新...',
     showTime: true
   }, function(ret, err) {
     //首页轮播
     bindAdvert();
     // 热门签证
     bindHotVisa();
     //加急签证
     bindSpeedVisa();
     api.clearCache();

     setTimeout(function(){
       //关闭下拉刷新
       api.refreshHeaderLoadDone();
      },1000);
   });
}
//轮播动画特效
function initSlide(){
  var slide3 = new auiSlide({
      container:document.getElementById("aui-slide3"),
      // "width":300,
      "height":200,
      "speed":500,
      "autoPlay": 3000, //自动播放
      "loop":true,
      "pageShow":true,
      "pageStyle":'dot',
      'dotPosition':'center'
  })
}
//轮播图片绑定
function bindAdvert(){
  var result = getVisaAdvert();
  result.then(function (res) {
    // console.log(JSON.stringify(res));
     if(res.status == 200){
       $.each(res.info,function(index,item) {
           item.AD_Image = imageUrl + item.AD_Image;
       });
       var html = template('advert_tmpl',{advert:res.info});
       $('#div_advert').html(html);
       initSlide();
     }
   });
}
// 热门签证
function bindHotVisa(){
  var param={};
  param.cate=1;//1：热门签证，2：特色签证，3：加急签证
  param.size=8;
  var result = getHomeCountry(param);
  result.then(function (res) {
     if(res.status == 200){
       $.each(res.info,function(index,item) {
           item.VC_Image = imageUrl + item.VC_Image;
       });
       var html = template('hotvisa_tmpl',{hotvisa:res.info});
       $('#div_hotvisa').html(html);
     }
   });
}
// 加急签证
function bindSpeedVisa(){
  var param={};
  param.cate=3;//1：热门签证，2：特色签证，3：加急签证
  param.size=6;
  var result = getHomeCountry(param);
  result.then(function (res) {
     if(res.status == 200){
       $.each(res.info,function(index,item) {
           item.VC_Image = imageUrl + item.VC_Image;
       });
       var html = template('speedvisa_tmpl',{speedvisa:res.info});
       $('#div_speedvisa').html(html);
     }
   });
}
function searchVisa(countryid,continentid){
  var visa={
    countryid:countryid,
    continentid:continentid
  };
  api.openWin({
      name: 'visalist',
      url: '../visa/visalist.html',
      pageParam:{
        visa:visa
      }
  });
}
function onMore(index){
  api.openWin({
      name: 'visacountry',
      url: './visacountry.html',
      pageParam:{
        index:index
      }
  });
}
function onSpecialVisa(visatype){
  api.openWin({
      name: 'visacountry',
      url: './visacountry.html',
      pageParam:{
        visatype:visatype
      }
  });
}
