/*
* @Author: nickhaung
* @Date:   2018-05-18 09:29:56
* @Last Modified by:   nickhuang
* @Last Modified time: 2018-06-14 16:36:28
*/
function userPost(url, data) {
    return new Promise(function(res, rej) {
        api.ajax({
            url: url,
            method: 'post',
            cache:false,
            timeout : 3000,
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded;charset=utf-8',
            },
            data: {
                values: data
            }
        }, function(ret, err) {
            if (ret) {
                res(ret);
            } else {
              	rej(err);
                alert(JSON.stringify(err));
            }
        });
    });
}
// var imageUrl ='http://192.168.1.117/tourleo_v1.0/Public/upload/';
// var baseUrl ='http://192.168.1.117/tourleo_v1.0/App/';
var imageUrl ='http://www.tourleo.com:8083/Public/upload/';
var baseUrl ='http://www.tourleo.com:8083/App/';

//查询用户账户
function getUserAcc(data){
  var url = baseUrl + 'Acc/GetUserAcc';
  return userPost(url,data);
}
//查询账单
function getUserAccDetail(data){
  var url = baseUrl + 'Acc/GetUserAccDetail';
  return userPost(url,data);
}
//用户充值
function userRecharge(data){
  var url = baseUrl + 'Acc/UserRecharge';
  return userPost(url,data);
}
//用户提现
function userWithdraw(data){
  var url = baseUrl + 'Acc/UserWithdraw';
  return userPost(url,data);
}

//支付宝字符串
function accAliPay(data){
  var url = baseUrl + 'Acc/AccAliPay';
  return userPost(url,data);
}

//查询旅游首页轮播广告
function getHomeAdvert(data){
  var url = baseUrl + 'Home/GetHomeAdvert';
  return userPost(url,data);
}
//查询签证首页轮播广告
function getVisaAdvert(data){
  var url = baseUrl + 'Home/GetVisaAdvert';
  return userPost(url,data);
}
//查询旅游首页轮播广告
function getTourAdvert(data){
  var url = baseUrl + 'Home/GetTourAdvert';
  return userPost(url,data);
}
//查询首页精品推荐
function getRecmdTravel(data){
  var url = baseUrl + 'Home/GetRecmdTravel';
  return userPost(url,data);
}
//查询特价区
function getSpecial(data){
  var url = baseUrl + 'Home/GetSpecial';
  return userPost(url,data);
}

//查询订单列表
function getOrder(data){
  var url = baseUrl + 'Order/GetOrder';
  return userPost(url,data);
}
//取消订单
function cancelledOrder(data){
  var url = baseUrl + 'Order/CancelledOrder';
  return userPost(url,data);
}
//查询旅游订单
function getSingleTourOrder(data){
  var url = baseUrl + 'Order/GetSingleTourOrder';
  return userPost(url,data);
}
//查询签证订单
function getSingleVisaOrder(data){
  var url = baseUrl + 'Order/GetSingleVisaOrder';
  return userPost(url,data);
}
//代理商特价区
function searchAgentProduct(data){
  var url = baseUrl + 'Agent/SearchProduct';
  return userPost(url,data);
}
//查询商品详情
function getAgentProduct(data){
  var url = baseUrl + 'Agent/GetProduct';
  return userPost(url,data);
}
//检查旅游行程是否过期
function checkSchedule(data){
  var url = baseUrl + 'Agent/CheckSchedule';
  return userPost(url,data);
}



//查询首页旅游景点
function getHomeTourArea(data){
  var url = baseUrl + 'Product/GetHomeTourArea';
  return userPost(url,data);
}
function queryTourSpot(data){
  var url = baseUrl + 'Product/QueryTourSpot';
  return userPost(url,data);
}
//同步商品
function travelSync(data){
  var url = baseUrl + 'Product/TravelSync';
  return userPost(url,data);
}
//查询商品
function searchProduct(data){
  var url = baseUrl + 'Product/SearchProduct';
  return userPost(url,data);
}
//查询产品
function getProduct(data){
  var url = baseUrl + 'Product/GetProduct';
  return userPost(url,data);
}
//创建订单
function crtTourOrder(data){
  var url = baseUrl + 'Product/CrtTourOrder';
  return userPost(url,data);
}
//支付订单
function tourAliPay(data){
  var url = baseUrl + 'Product/TourAliPay';
  return userPost(url,data);
}
//更新订单支付状态
function tourPayOrder(data){
  var url = baseUrl + 'Product/TourPayOrder';
  return userPost(url,data);
}
//查询特价区
function getSpecialProduct(data){
  var url = baseUrl + 'Product/GetSpecialProduct';
  return userPost(url,data);
}
//按地区查询旅游产品
function queryProduct(data){
  var url = baseUrl + 'Product/QueryProduct';
  return userPost(url,data);
}



/*航班信息*/
//航班机场
function searchFlight(data){
  var url = baseUrl + 'Flight/SearchFlight';
  return userPost(url,data);
}
//查询最低价机票
function getLowPriceFligh(data){
  var url = baseUrl + 'Flight/GetLowPriceFligh';
  return userPost(url,data);
}
//查询用户证书
function getUserCertInfo(data){
  var url = baseUrl + 'Flight/GetUserCertInfo';
  return userPost(url,data);
}
//查询证件
function getFlightUserCert(data){
  var url = baseUrl + 'Flight/GetFlightUserCert';
  return userPost(url,data);
}
//修改机票证件
function updateFlightUserCert(data){
  var url = baseUrl + 'Flight/UpdateFlightUserCert';
  return userPost(url,data);
}
//添加机票证件
function addFlightUserCert(data){
  var url = baseUrl + 'Flight/AddFlightUserCert';
  return userPost(url,data);
}
function delFlightUserCert(data){
  var url = baseUrl + 'Flight/DelFlightUserCert';
  return userPost(url,data);
}
//创建订单
function crtFlightOrder(data){
  var url = baseUrl + 'Flight/CrtFlightOrder';
  return userPost(url,data);
}
//查询订单详情
function getFlightOrderDetail(data){
  var url = baseUrl + 'Flight/GetFlightOrderDetail';
  return userPost(url,data);
}
//绑定机票列表
function getFlightList(data){
  var url = baseUrl + 'Flight/GetFlightList';
  return userPost(url,data);
}
//C端付款给侣友平台
function flightAliPay(data){
  var url = baseUrl + 'Flight/FlightAliPay';
  return userPost(url,data);
}
//机票支付宝自动扣款
function flightPayOrder(data){
  var url = baseUrl + 'Flight/FlightPayOrder';
  return userPost(url,data);
}
//机票退票功能
function flightOrderRefund(data){
  var url = baseUrl + 'Flight/FlightOrderRefund';
  return userPost(url,data);
}



/*签证信息*/
//查询签证首页签证国家
function getHomeCountry(data){
  var url = baseUrl + 'Visa/GetHomeCountry';
  return userPost(url,data);
}
//查询签证
function searchVisa(data){
  var url = baseUrl + 'Visa/SearchVisa';
  return userPost(url,data);
}
//查询签证
function visaDetail(data){
  var url = baseUrl + 'Visa/VisaDetail';
  return userPost(url,data);
}
//查询字典
function getVisaDict(data){
  var url = baseUrl + 'Visa/GetVisaDict';
  return userPost(url,data);
}
//创建签证订单
function crtVisaOrder(data){
  var url = baseUrl + 'Visa/CrtVisaOrder';
  return userPost(url,data);
}
//支付宝支付
function visaAliPay(data){
  var url = baseUrl + 'Visa/VisaAliPay';
  return userPost(url,data);
}
//订单支付
function visaPayOrder(data){
  var url = baseUrl + 'Visa/VisaPayOrder';
  return userPost(url,data);
}
//查询签证保险
function getVisaInsure(data){
  var url = baseUrl + 'Visa/GetVisaInsure';
  return userPost(url,data);
}

//注册
function register(data){
	var url = baseUrl + 'User/Register';
  return userPost(url,data);
}
//账号密码登录
function login_pwd(data){
	var url = baseUrl + 'User/LoginPwd';
  return userPost(url,data);
}
//验证码登录
function login_sms(data){
	var url = baseUrl + 'User/LoginSMS';
  return userPost(url,data);
}

//获取验证码
function sendCode(data){
	var url = baseUrl + 'User/GetVCode';
  return userPost(url, data);
}
//获取验证码
function checkSmsCode(data){
	var url = baseUrl + 'User/CheckSmsCode';
  return userPost(url, data);
}

//检测是否登录过了
function check_session(data){
	var url = baseUrl + 'User/CheckSession';
  return userPost(url,data);
}
//校验密码是否正确
function check_OldPwd(data){
  var url = baseUrl + 'User/CheckOldPwd';
  return userPost(url,data);
}
//用户Id: uid
function get_userinfo(data){
	var url = baseUrl + 'User/GetUserInfo';
  return userPost(url,data);
}
//找回密码
function get_forgetPwd(data){
	var url = baseUrl + 'User/ResetPwd';
  return userPost(url,data);
}//修改用户昵称demo
//data.CU_Nickname='Nickhuang';
//data.CU_Id=1;
// var strData=JSON.stringify(data);
//var result=update_userinfo({data:strData});
////更新用户信息
function update_userinfo(data){
	var url = baseUrl + 'User/UpdateUserInfo';
  return userPost(url,data);
}
//用户Id:uid
//查询消息
function getMessage(data){
	var url = baseUrl + 'User/GetMessage';
  return userPost(url,data);
}
//mid:消息Id
//阅读消息
function setMsgIsRead(data){
	var url = baseUrl + 'User/SetMsgIsRead';
  return userPost(url,data);
}
//用户Id:uid
//插叙未读消息数
function getNoReadMsgCount(data){
	var url = baseUrl + 'User/GetNoReadMsgCount';
  return userPost(url,data);
}
//会员支付缴费
function userAliPay(data){
	var url = baseUrl + 'User/UserAliPay';
  return userPost(url,data);
}
//会员缴费
function userJoin(data){
	var url = baseUrl + 'User/UserJoin';
  return userPost(url,data);
}

///添加地址
function addAddress(data){
  var url = baseUrl + 'Address/AddAddress';
  return userPost(url,data);
}
//渲染地址列表
function addressList(data){
  var url = baseUrl + 'Address/GetAddress';
  return userPost(url,data);
}
//设置默认地址
function setDefaultAddress(data){
 var url = baseUrl + 'Address/SetDefault';
 return userPost(url,data);
}
//修改地址Address/edit_address
function editAddress(data){
 var url = baseUrl + 'Address/EditAddress';
 return userPost(url,data);
}
//删除地址
function deleteAddress(data){
  var url = baseUrl + 'Address/DelAddress';
  return userPost(url,data);
}
//查询默认地址
function getDefaultAddress(data){
 var url = baseUrl + 'Address/GetDefaultAddress';
 return userPost(url,data);
}

//用户Id:uid
//查询消息
function getMessage(data){
	var url = baseUrl + 'User/GetMessage';
  return userPost(url,data);
}
//mid:消息Id
//阅读消息
function setMsgIsRead(data){
	var url = baseUrl + 'User/SetMsgIsRead';
  return userPost(url,data);
}
//用户Id:uid
//插叙未读消息数
function getNoReadMsgCount(data){
	var url = baseUrl + 'User/GetNoReadMsgCount';
  return userPost(url,data);
}
