apiready = function(){
    api.parseTapmode();
    initFlight();
}
function initFlight(){
  var startcity=$api.getStorage('startcity');
  var endcity=$api.getStorage('endcity');
  var selectdate=$api.getStorage('selectdate');
  var param={};
  param.orgcode=startcity.id;
  param.orgname=startcity.city;
  param.destcode=endcity.id;
  param.destname=endcity.city;
  param.flightdate=selectdate.year+"-"+Number(selectdate.month)+"-"+selectdate.day;
   setTimeout(function() {
           api.showProgress({
             title : ' ',
             text : '加载中...',
             modal : true
           });
    }, 100);
  var result = searchFlight(param);
  result.then(function (res) {
    // console.log(JSON.stringify(res));
    api.hideProgress();
     if(res.status == 200){
       var flighList=res.info.flighList;
       $.each(flighList,function(index,item) {
           item.flightLogo = '../../image/flight/fighticon/' + item.flightLogo+'.gif';
       });
       var html = template('flight_tmpl',{flight:flighList});
       $('#div_flight').html(html);
        var flighHeader=res.info.flighHeader;
       var header = template('header_tmpl',{header:flighHeader});
       $('#div_header').html(header);

     }
   });
}
function bindHeader(ts){
    $(ts).siblings().removeClass('active');
    $(ts).addClass('active');
}
function onFlightList(ts,orgcode,destcode,flightdate){
  api.showProgress({
    title : ' ',
    text : '加载中...',
    modal : true
  });
  bindHeader(ts);
  var param={};
  param.orgcode=orgcode;
  param.destcode=destcode;
  param.flightdate=flightdate;
  var result = getFlightList(param);
  result.then(function (res) {
      // console.log(JSON.stringify(res));
    api.hideProgress();
    if(res.status == 200){
      var flighList=res.info;
      $.each(flighList,function(index,item) {
          item.flightLogo = imageUrl + item.flightLogo;
      });
      var html = template('flight_tmpl',{flight:flighList});
      $('#div_flight').html(html);
    }else{
      var html = template('flight_tmpl',{flight:null});
      $('#div_flight').html(html);
    }
  });
}
function onFlightDetail(data){
  // console.log(JSON.stringify(data));
  api.openWin({
      name: 'flightdetail',
      url: '../flight/flightdetail.html',
      pageParam:{
        flight:data
      }
  });
}
