/*head tab*/
apiready = function(){
    api.parseTapmode();
    bindCertType();
    init();
}
function init(){
  var ctid=api.pageParam.ctid;
  if(ctid){
    bindUserCert(ctid);
    $('#txtCTId').val(ctid);
  }
}
function bindUserCert(ctid){
  var param={};
  param.ctid=ctid;
  var result=getUserCertInfo(param);
  result.then(function (res) {
     if(res.status == 200){
       $('#txtCertType').val(res.info.CT_CertValue);
       $('#txtNumber').val(res.info.CT_Number);
       $('#txtMobile').val(res.info.CT_Mobile);
       $('#txtUserName').val(res.info.CT_UserName);
     }
  });
}
function bindCertType(){
  var result = getVisaDict({'d_Name':"证件类型"});
  result.then(function(res){
    // console.log(JSON.stringify(res));
     if (res.status==200) {
       for (var i = 0; i < res.info.length; i++) {
         var ct= res.info[i];
         $('#txtCertType').append('<option value ="'+ct.value+'">'+ct.text+'</option>');
       }
     }
   });
}
function onConfirm(){
  var txtCTId=$('#txtCTId').val();
  var txtCertType=$("#txtCertType").find("option:selected").text();
  var txtCertValue=$('#txtCertType').val();
  var txtNumber=$('#txtNumber').val();
  var txtMobile=$('#txtMobile').val();
  var txtUserName=$('#txtUserName').val();
  var uid=$api.getStorage('userid');

  var param={};
  param.CU_Id=uid;
  param.CT_UserName=txtUserName;
  param.CT_CertType=txtCertType;
  param.CT_CertValue=txtCertValue;
  param.CT_Number=txtNumber;
  param.CT_Mobile=txtMobile;
  console.log(JSON.stringify(param));
  if(txtCTId!=''){
    param.CT_Id=txtCTId;
    var strdata = JSON.stringify(param);
    var result=updateFlightUserCert({data:strdata});
    result.then(function (res) {
      console.log(JSON.stringify(res));
       if(res.status == 200){
        api.closeWin();
      }else{
          api.toast({	msg:'抱歉，保存失败',duration:2000,location:'bottom'});
      }
     });
  }else{
    var strdata = JSON.stringify(param);
    var result=addFlightUserCert({data:strdata});
    result.then(function (res) {
      console.log(JSON.stringify(res));
       if(res.status == 200){
        api.closeWin();
      }else{
        api.toast({	msg:'抱歉，保存失败',duration:2000,location:'bottom'});
      }
     });
  }
}
