apiready = function(){
  api.parseTapmode();
  initRefresh();
  bindOrder('Completed');
}
function initRefresh(){
    api.setRefreshHeaderInfo({
     visible: true,
     loadingImg: '../image/timg.gif',
     bgColor: '#ccc',
     textColor: '#fff',
     textDown: '下拉刷新...',
     textUp: '松开刷新...',
     showTime: true
   }, function(ret, err) {
      bindOrder('Completed');
     api.clearCache();
     setTimeout(function(){
       //关闭下拉刷新
       api.refreshHeaderLoadDone();
      },1000);
   });
}
function bindOrder(status){
  api.showProgress({
    title : ' ',
    text : '加载中...',
    modal : true
  });
  var uid = $api.getStorage('userid');
  var param={};
  param.status=status;
  param.uid=uid;
  var result = getOrder(param);
  result.then(function (res) {
    api.hideProgress();
    // console.log(JSON.stringify(res));
    if(res.status==200){
      var html = template('order_tmpl',{order:res.info});
      $('#div_order').html(html);
    }else{
      var html = template('order_tmpl',{order:null});
      $('#div_order').html(html);
    }
  });
}
