apiready = function(){
    api.parseTapmode();
    initDate();
    bindAdvert();
    init();
    initRefresh();
    initTravel();
    initListener();
}
function initDate(){
  var date = new Date();
  var strdate = (date.getMonth()+1)+"月"+date.getDate()+"日";
  $('#spanFlightDate').text(strdate);
  $api.setStorage('selectdate',{
    day:date.getDate(),
    month:(date.getMonth()+1),
    year:date.getFullYear()
  });
}
//首页轮播特效
function initSlide(){
  var slide3 = new auiSlide({
      container:document.getElementById("aui-slide3"),
      // "width":300,
      "height":220,
      "speed":500,
      "autoPlay": 3000, //自动播放
      "loop":true,
      "pageShow":true,
      "pageStyle":'dot',
      'dotPosition':'center'
  });
}
//首页轮播绑定
function bindAdvert(){
  var result = getHomeAdvert();
  result.then(function (res) {
    // console.log(JSON.stringify(res));
     if(res.status == 200){
       $.each(res.info,function(index,item) {
           item.AD_Image = imageUrl + item.AD_Image;
       });
       var html = template('advert_tmpl',{advert:res.info});
       $('#div_advert').html(html);
       initSlide();
     }
   });
}
function initRefresh(){
    api.setRefreshHeaderInfo({
     visible: true,
     loadingImg: '../image/timg.gif',
     bgColor: '#ccc',
     textColor: '#fff',
     textDown: '下拉刷新...',
     textUp: '松开刷新...',
     showTime: true
   }, function(ret, err) {
      initTravel();
     api.clearCache();

     setTimeout(function(){
       //关闭下拉刷新
       api.refreshHeaderLoadDone();
      },1000);
   });
}
function initPay(){
   var isVip=$api.getStorage('isVip');
   if(typeof(isVip)==undefined||isVip==0){
     onDialogBox();
   }
}
function init(){
    var startcity={
      "id": "HGH",
      "city": "杭州",
      "pinyin": "hangzhou"
    };
    var endcity={
      "id": "SZX",
      "city": "深圳",
      "pinyin": "shenzhen"
    };
    $api.setStorage('startcity',startcity);
    $api.setStorage('endcity',endcity);
    $api.setStorage('gpscity',startcity);
    initControl();
    setTimeout(function(){
      //关闭下拉刷新
      initPay();
    },3000);
}
function initListener(){
  api.addEventListener({
      name:'HomeStorage'
  },function(){
      initControl();
  });
}
function initControl(){
  var startcity=$api.getStorage('startcity');
  if(startcity){
    $('#startCity').text(startcity.city);
  }
  var endcity=$api.getStorage('endcity');
  if(endcity){
    $('#endCity').text(endcity.city);
  }
  var gpscity=$api.getStorage('gpscity');
  if(gpscity){
    $('#gpsCity').text(gpscity.city);
  }

  var selectdate=$api.getStorage('selectdate');
  if(selectdate&&selectdate.day){
    var strdate = selectdate.month+"月"+selectdate.day+"日";
     $('#spanFlightDate').text(strdate);
  }else{
    var date = new Date();
    var strdate = (date.getMonth()+1)+"月"+date.getDate()+"日";
    $('#spanFlightDate').text(strdate);
    $api.setStorage('selectdate',{
      day:date.getDate(),
      month:(date.getMonth()+1),
      year:date.getFullYear()
    });
  }
}
//查询精品推荐
function initTravel(){
  api.showProgress();
  var result = getRecmdTravel();
  result.then(function (res) {
    // console.log(JSON.stringify(res));
    api.hideProgress();
     if(res.status == 200){
       var list=[];
       $.each(res.info,function(index,item) {
           var image=item.image;
           if(image.length>0){
             item.P_Image = image[0].PI_ImgUrl;
             list.push(item);
           }
       });

       var html = template('recmdTravel_tmpl',{travel:list});
       $('#div_recmdTravel').html(html);
     }
  });
}
//进入跟团游
function onGty(){
    api.openWin({
        name: 'tourgrouplist',
        url: '../tour/tourgrouplist.html'
    });
}
//自由行
function onZyx(){
    api.openWin({
        name: 'tourselflist',
        url: '../tour/tourselflist.html'
    });
}
//进入跟团游
function onTJGty(){
    api.openWin({
        name: 'tourgrouplist',
        url: '../agent/tourgrouplist.html'
    });
}
//自由行
function onTJZyx(){
    api.openWin({
        name: 'tourselflist',
        url: '../agent/tourselflist.html'
    });
}
//竞品
function onJp(){
    api.openWin({
        name: 'flight',
        url: '../flight/search.html'
    });
}
// 查询机票
function onSearch(){
  var selectdate=$api.getStorage('selectdate');
  if(!selectdate){
    api.toast({	msg:'请选择日期',duration:2000,location:'bottom'});
  }
  var startcity=$api.getStorage('startcity');
  if(!startcity){
    api.toast({	msg:'请选择起点城市',duration:2000,location:'bottom'});
  }
  var endcity=$api.getStorage('endcity');
  if(!endcity){
    api.toast({	msg:'请选择终点城市',duration:2000,location:'bottom'});
  }
  api.openWin({
      name: 'flightlist',
      url: '../flight/flightlist.html'
  });
}
function onQueryJp(){
  api.openWin({
      name: 'flight',
      url: '../flight/flight.html'
  });
}
function onShoppingMall(){
  api.openWin({
      name: 'htmlheader',
      url: './htmlheader.html'
  });
  // api.toast({	msg:'功能正在开发，暂不开放',duration:2000,location:'bottom'});
  return;
}
//机票起始城市
function openStartCity() {
    api.openWin({
        name: 'citylist',
        url: 'citylist.html',
        animation: {
            type: 'movein',
            subType: 'from_right',
            duration: 300
        },
        pageParam:{
          keyname:'startcity'
        }
    });
}
//机票结束城市
function openEndCity() {
    api.openWin({
        name: 'citylist',
        url: 'citylist.html',
        animation: {
            type: 'movein',
            subType: 'from_right',
            duration: 300
        },
        pageParam:{
          keyname:'endcity'
        }
    });
}

//跳转到旅游详情
function openTourDetail(pid){
  api.openWin({
      name: 'tourdetail',
      url: '../tour/tourdetail.html',
      pageParam:{
        pid:pid
      }
  });
}
//选择机票日期
function onCheckFlightDate(){
  api.openWin({
      name: 'datelist',
      url: 'datelist.html',
      animation: {
          type: 'movein',
          subType: 'from_right',
          duration: 300
      }
  });
}
//会员缴费弹框
function onDialogBox(){
  var dialogBox = api.require('dialogBox');
  dialogBox.alert({
      texts: {
          title: '缴费通知',
          content: '抱歉，您尚未缴纳会员费只能浏览不能下单，请先缴纳会员费。',
          leftBtnTitle: '取消',
          rightBtnTitle: '前往支付'
      },
      styles: {
          bg: 'widget://image/public/pop2x.png',
          w: 300,
          corner:2,
          title: {
              marginT: 20,
              icon: 'widget://res/gou.png',
              iconSize: 40,
              titleSize: 18,
              titleColor: '#fff'
          },
          content: {
              color: '#333333',
              marginT: 35,
              size: 16
          },
          left: {
              marginB: 15,
              marginL: 25,
              w: 110,
              h: 35,
              corner: 5,
              bg: '#cacaca',
              color: '#FFF',
              size: 14
          },
          right: {
              marginB: 15,
              marginL: 30,
              w: 110,
              h: 35,
              corner: 5,
              bg: '#6cbcef',
              color: '#FFF',
              size: 14
          }
      }
  }, function(ret) {
      if (ret.eventType == 'left') {
          var dialogBox = api.require('dialogBox');
          dialogBox.close({
              dialogName: 'alert'
          });
      }else{
        setAlipay();
      }
  });
}
function setAlipay(){
  var result=userAliPay();
  result.then(function(res){
      if (res.status==200) {
          var aliPayPlus = api.require('aliPayPlus');
          aliPayPlus.payOrder({
              orderInfo: res.msg
          }, function(ret, err) {
              var dialogBox = api.require('dialogBox');
              dialogBox.close({
                  dialogName: 'alert'
              });
              if(ret.code==9000){
                var userid=$api.getStorage('userid');
                var result=userJoin({
                  uid:userid
                });
                result.then(function(subres){
                    if (res.status==200) {
                      api.toast({	msg:"您已缴费成功，欢迎您成为侣友旅行会员！",duration:2000,location:'bottom'});
                      $api.setStorage('isVip',1);
                    }else{
                      api.toast({	msg:"抱歉，您已缴费失败，如系统出现故障请联系客服人员。",duration:2000,location:'bottom'});
                    }
                });

              }else{
                api.toast({	msg:"抱歉，您已缴费失败，如系统出现故障请联系客服人员。",duration:2000,location:'bottom'});
              }
          });
      }else{
        var dialogBox = api.require('dialogBox');
        dialogBox.close({
            dialogName: 'alert'
        });
      }
  });
}
