/*head tab*/
apiready = function(){
    api.parseTapmode();
    initDomAddEve();
}

function initDomAddEve(){
  var sendCodeDiv = $api.byId('getVCode')
  $api.one(sendCodeDiv,'click',SendVCode,false);
}

//发送短信验证码
function SendVCode(){
	var data_str = $('#form').serialize();
	var data=strToObj(data_str);
	var ele = document.getElementById('getVCode');
	//用手机号请求接口拿到验证码
	var result=sendCode({'mobile':data.mobile,'type':'resetpwd'});
	result.then(function(res){
    console.log(JSON.stringify(res));
		if(res.status==200){
      api.toast({	msg:'验证码发送成功',duration:2000,location:'bottom'});
			setTimeDown(60,ele);
		}else{
      api.toast({	msg:'验证码发送失败',duration:2000,location:'bottom'});
		}
	})
}

var timer;
function setTimeDown(t,e){
	if(t==0 || timer!=null){/*有清除定时器的操作*/
    clearTimeout(timer);
  }
  if (t == 0) {
			$(e).removeAttr("disabled");
			$(e).html('获取验证码');
			$api.one(e, 'click', SendVCode,false);
  } else {
      $(e).html("重新发送(" + t + ")");
      t--;
      timer = setTimeout(function() {
          setTimeDown(t,e);
      },1000);
  }
}

  //找回密码
	function onForgetPwd() {
		// 拿到表单数据
		var data_str = $('#form').serialize();
		var data=strToObj(data_str);
		if(verify(data)){
	    submit(data);
	  }
	}
	//表单校验
	function verify(data){
		//进行表单校验
		if(data.mobile.length!=11){
      api.toast({	msg:'请输入11位手机号',duration:2000,location:'bottom'});
			return false;
		}else if(data.vCode.length<4){
      api.toast({	msg:'请输入有效验证码',duration:2000,location:'bottom'});
			return false;
		}else if(data.newPwd.length<6){
      api.toast({	msg:'新密码至少6位！',duration:2000,location:'bottom'});
			return false;
		}else if(data.cfNewPwd!=data.newPwd){
      api.toast({	msg:'重复密码至少6位！',duration:2000,location:'bottom'});
			return false;
		}
    return true;
	}

  //校验原密码是否正确
  function checkOldPwd(oldPwd){
    var uid = $api.getStorage('userid');
    var result = check_OldPwd({
      'uid':uid,
      'pwd':oldPwd
    });
    result.then(function(res){
      if(res.status !=200){
        api.toast({	msg:'原密码错误',duration:2000,location:'bottom'});
        return false;
      }
  	})

    return true;
  }

//执行密码修改
function submit(data){
    var user = {};
    user.mobile=data.mobile;
    user.pass =data.newPwd;
    user.vCode = data.vCode;
    var result = get_forgetPwd(user);
    result.then(function(res) {
			if (res.status==200){
		       api.toast({	msg:'密码修改成功',duration:2000,location:'bottom'});
          api.closeWin();
          return;
			}else{
        	var ele = document.getElementById('getVCode');
        setTimeDown(0,ele);
				api.toast({msg:res.msg,duration:2000,location:'bottom'});
			}
		});
}

//将序列化表单的字符串转化为对象
function strToObj(str){
	str = str.replace(/&/g,"','");
    str = str.replace(/=/g,"':'");
    str = "({'"+str +"'})";
    obj = eval(str);
    return obj;
}

//点击短信登录跳转到短信登录页面
function onLoginsms(){
    api.openWin({
        name: 'Loginsms',
        url: './loginsms.html'
    });
}
//点击短信登录跳转到短信登录页面
function onLogin(){
    api.openWin({
        name: 'loginpwd',
        url: './loginpwd.html'
    });
}
//点击账户注册跳转到注册页面
function onSwichPage(){
    api.openWin({
        name: 'Register',
        url: './register.html'
    });
}
