apiready = function(){
    api.parseTapmode();
    // init();
}
function init(){
  api.addEventListener({
      name:'viewdisappear'
  },function(){
      api.closeWin();
  });
}
//表单提交
function onSubmit(){
  var mobile=$('#txtMobile').val();
  var pwd=$('#txtPwd').val();
  if(mobile.length!=11){
    api.toast({	msg:'请输入11位手机号！',duration:2000,location:'bottom'});
    return false;
  }else if(pwd.length<6){
    api.toast({	msg:'请输入至少6位密码！',duration:2000,location:'bottom'});
    return false;
  }
  //密码登录
  var result=login_pwd({
    'mobile':mobile,
    'pass':pwd
  });
  result.then(function(res){
    console.log(JSON.stringify(res));
      if (res.status==200) {
        api.hideProgress();
        api.toast({	msg:"登录成功",duration:2000,location:'bottom'});
        $api.setStorage('userid',res.info.CU_Id);
        $api.setStorage('mobile',res.info.CU_Mobile);
        $api.setStorage('isVip',res.info.CU_IsVip);
        setTimeout(function() {
          api.openWin({
                name: 'index',
                url: '../../index.html'
          });
        }, 600);
        return;
      }else{
        api.toast({msg:'登陆失败',duration:1500,location:'bottom'});
        $('#txtPwd').val("");
      }
    });
}
//跳转注册
function onRegister(){
  api.openWin({
      name: 'register',
      url: './register.html'
  });
}
//点击短信登录跳转到短信登录页面
function onLoginsms(){
    api.openWin({
        name: 'Loginsms',
        url: './loginsms.html'
    });
}
//点击跳转到忘记密码页面
function onForgetpwd(){
    api.openWin({
        name: 'userforgetpwd',
        url: './userforgetpwd.html'
    });
}
//点击函数，获取dom，判断更改属性。
function onPwdShow(){
    var input=$("#txtPwd");
     if(input.type=="password"){
       input.type='text';
     }else{
       input.type='password';
     }
}
