apiready = function(){
    api.parseTapmode();
    initListener();
}

//初始化监听窗口
function initListener(){
  api.addEventListener({
      name:'viewdisappear'
  },function(){
      api.closeWin();
  });
}
function submit(data){
  api.openWin({
      name: 'verifymobile',
      url: './verifymobile.html',
      pageParam:{
        userinfo:data
      }
  });
}
//注册
function onRegister() {
    var data={};
    data.province=$('#hdProvince').val();
    data.city=$('#hdCity').val();
    data.area=$('#hdArea').val();
    data.realName=$('#txtRealName').val();
    data.mobile=$('#txtMobile').val();
		if(verify(data)){
      submit(data);
	  }
	}
	//表单校验
	function verify(data){
		//进行表单校验
    if(data.realName.length<2){
      api.toast({	msg:'请输入真实姓名',duration:2000,location:'bottom'});
			return false;
		}else if(data.mobile.length!=11){
      api.toast({	msg:'请输入11位手机号！',duration:2000,location:'bottom'});
			return false;
		}else if(data.province==""){
      api.toast({	msg:'请选择地区',duration:2000,location:'bottom'});
			return false;
		}
    return true;
	}
//电话区域
function onSelectArea(){
  var data=[];
  data.push({
    text:'中国大陆 +86',
    value:'+86'
  });
  openSelector('选择区域',data,function(ret){
    console.log(JSON.stringify(ret));
    if(ret.length<=0)return;
    $('#divIncome').text(ret[0].text);
    $('#spanIncome').text(ret[0].text);
  });
}
//地区
function onSelectAddress(){
  citySelector(function(ret){
    $('#spanAddress').text(ret.level1 + ' ' + ret.level2 + ' ' + ret.level3);
    $('#hdProvince').val(ret.level1);
    $('#hdCity').val(ret.level2);
    $('#hdArea').val(ret.level3);
  });
}
