/*head tab*/
apiready = function(){
    api.parseTapmode();
    init();
}
function init(){
  hideControl();
  var visakey= api.pageParam.visakey;
  visakey='Visa_'+visakey;
  var text=$api.getStorage(visakey);
  switch (visakey) {
    case 'Visa_VisaName':
      $('#divVisaName').show();
      $('#txtVisaName').val(text);
      break;
    case 'Visa_ContactName':
      $('#divContactName').show();
      $('#txtContactName').val(text);
      break;
    case 'Visa_Phone':
      $('#divPhone').show();
      $('#txtPhone').val(text);
      break;
    case 'Visa_Email':
      $('#divEmail').show();
      $('#txtEmail').val(text);
      break;
    case 'Visa_Address':
      $('#divAddress').show();
      $('#txtAddress').val(text);
      break;
    case 'Visa_OtherRemark':
      $('#divOtherRemark').show();
      $('#txtOtherRemark').val(text);
      break;
  }
}
function hideControl(){
  $('#divVisaName').hide();
  $('#divContactName').hide();
  $('#divPhone').hide();
  $('#divEmail').hide();
  $('#divAddress').hide();
  $('#divOtherRemark').hide();
}
function onConfirm(){
  var visakey= api.pageParam.visakey;
  visakey='Visa_'+visakey;
  switch (visakey) {
    case 'Visa_VisaName':
      var visaName=$('#txtVisaName').val();
      if($.trim(visaName)!='')
        $api.setStorage(visakey,visaName);
      else
        $api.rmStorage(visakey);
      break;
    case 'Visa_ContactName':
      var contactName=$('#txtContactName').val();
      if($.trim(contactName)!='')
        $api.setStorage(visakey,contactName);
      else
        $api.rmStorage(visakey);
      break;
    case 'Visa_Phone':
      var phone=$('#txtPhone').val();
      if($.trim(phone)!='')
        $api.setStorage(visakey,phone);
      else
        $api.rmStorage(visakey);
      break;
    case 'Visa_Email':
      var email=$('#txtEmail').val();
      if($.trim(email)!='')
        $api.setStorage(visakey,email);
      else
        $api.rmStorage(visakey);
      break;
    case 'Visa_Address':
      var address=$('#txtAddress').val();
      if($.trim(address)!='')
        $api.setStorage(visakey,address);
      else
        $api.rmStorage(visakey);
      break;
    case 'Visa_OtherRemark':
      var otherRemark=$('#txtOtherRemark').val();
      if($.trim(otherRemark)!='')
        $api.setStorage(visakey,otherRemark);
      else
        $api.rmStorage(visakey);
      break;
  }
  api.sendEvent({
      name: 'VisaStorage'
  });
  api.closeWin();
}
