/*head tab*/
apiready = function(){
    api.parseTapmode();
    bindLeft();
    bindVisaCountry();
    init();
}
function init(){
  var index=api.pageParam.index;
  bindVisaCountry('#item_'+index,index,null);
}
function onSearch(){
  var txtSearch=$('#txtSearch').val();
  bindVisaCountry(null,null,txtSearch);
}
function bindLeft(){
    var info=[];
    // 1：热门签证，2：特色签证，3：加急签证
    info.push({title:'热门签证',value:1});
    info.push({title:'加急签证',value:3});
    info.push({title:'亚洲',value:4});
    info.push({title:'欧洲',value:5});
    info.push({title:'美洲',value:6});
    info.push({title:'大洋洲',value:7});
    info.push({title:'非洲',value:8});
    var html = template('left_tmpl',{left:info});
    $('#tab').html(html);
}
//浪漫海岛
function bindVisaCountry(item,cate,name){
  if(item){
    $(item).addClass('aui-active');
    $(item).siblings('#tab .aui-tab-item').removeClass('aui-active');
  }
  api.showProgress({style: 'default',animationType: 'fade',title: '努力加载中',text: '',modal: false});
  var param={};
  if(name){
    param.name=name;
  }
  if(cate){
    param.cate=cate;//1：热门签证，3：加急签证
  }
  var result = getHomeCountry(param);
  result.then(function (res) {
    	api.hideProgress();
     if(res.status == 200){
       $.each(res.info,function(index,item) {
           item.VC_Image = imageUrl + item.VC_Image;
       });
       var html = template('visacountry_tmpl',{visacountry:res.info});
       $('#div_visacountry').html(html);
     }else{
       var html = template('visacountry_tmpl',{visacountry:null});
       $('#div_visacountry').html(html);
     }
   });
}
//跳转到旅游详情
function searchVisa(countryid,continentid){
  var visa={
    countryid:countryid,
    continentid:continentid
  };
  var visatype=api.pageParam.visatype;
  if(visatype){
    visa.visatype=visatype;
  }
  api.openWin({
      name: 'visalist',
      url: '../visa/visalist.html',
      pageParam:{
        visa:visa
      }
  });
}
