/*head tab*/
apiready = function(){
    api.parseTapmode();
    var visa= api.pageParam.visa;
    initPageAjax();
    var visatype=visa.visatype;
    if(visatype){
      initVisaType(visatype);
    }
   initVisa(visa.countryid,visa.continentid);
}
function initVisaType(visatype){
  switch (visatype) {
    case 1:
      $('#txtLvqz').val(visatype);
      $('#spLvqz').text('旅游签证');
      break;
    case 2:
      $('#txtLvqz').val(visatype);
      $('#spLvqz').text('商务签证');
      break;
    case 3:
      $('#txtLvqz').val(visatype);
      $('#spLvqz').text('探亲访友签证');
      break;
    case 4:
      $('#txtLvqz').val(visatype);
      $('#spLvqz').text('留学签证');
      break;
    case 5:
      $('#txtLvqz').val(visatype);
      $('#spLvqz').text('夏令营签证');
      break;
  }
}
function initVisa(countryid,continentid){
  $api.rmStorage('pageIndex');
  $api.rmStorage('info');
  $api.rmStorage('list');
  $api.rmStorage('isBottom');
  var visatype=$('#txtLvqz').val();
  var is_speed=$('#txtCgbl').val();
  var interview_type=$('#txtMslx').val();
  setTimeout(function() {
          api.showProgress({
            title : ' ',
            text : '加载中...',
            modal : true
          });
   }, 300);
   var param={};
   param.countryid=countryid;
   param.continentid=continentid;
   param.visatype=visatype;
   param.is_speed=is_speed;
   param.interview_type=interview_type;
   param.page_index=1;
   param.page_size=25;
   $api.setStorage('pageIndex',1);
   $api.setStorage('info',param);
   $api.setStorage('isBottom',0);
  var result = searchVisa(param);
  result.then(function (res) {
    api.hideProgress();
     if(res.status == 200){
        $api.setStorage('list',res.info);
       var html = template('visa_tmpl',{visa:res.info});
       $('#div_visa').html(html);
     }else{
       var html = template('visa_tmpl',{visa:null});
       $('#div_visa').html(html);
     }
   });
}
function initPageAjax(){
  api.addEventListener({
    name:'scrolltobottom',
    extra:{
        threshold:0            //设置距离底部多少距离时触发，默认值为0，数字类型
    }}, function(ret, err){
     var isBottom=$api.getStorage('isBottom');
     if(isBottom==0){
       var pageIndex=$api.getStorage('pageIndex');
       bindPullPage(Number(pageIndex)+1);
     }
  });
}
function bindPullPage(pageIndex){
  api.showProgress({
    title : ' ',
    text : '加载中...',
    modal : true
  });
  var info=$api.getStorage('info');
  $api.setStorage('pageIndex',pageIndex);
  info.page_index=pageIndex;
  var result = searchVisa(info);
  result.then(function (res) {
    var list=$api.getStorage('list');
    api.hideProgress();
     if(res.status == 200){
       if(!list)list=[];
       $.each(res.info,function(index,item) {
          list.push(item);
       });
     }else{
         $api.setStorage('isBottom',1);
         api.toast({	msg:'已拉到最底部了',duration:2000,location:'bottom'});
     }
     var html = template('visa_tmpl',{visa:list});
     $('#div_visa').html(html);
      api.hideProgress();
   });
}
//旅游签证
function onSellyqz() {
  var result = getVisaDict({'d_Name':"签证类型"});
  result.then(function(res){
     if (res.status==200) {
        openSelector('签证类型',res.info,function(ret){
          console.log(JSON.stringify(ret));
          if(ret.length<=0)return;
          $('#txtLvqz').val(ret[0].value);
          $('#spLvqz').text(ret[0].text);
          var visa= api.pageParam.visa;
         initVisa(visa.countryid,visa.continentid);
        },200);
     }
   });
}
//常规办理
function onSelcgbl() {
  var result = getVisaDict({'d_Name':"办理类型"});
  result.then(function(res){
     if (res.status==200) {
        openSelector('常规办理',res.info,function(ret){
          if(ret.length<=0)return;
          $('#txtCgbl').val(ret[0].value);
          $('#spCgbl').text(ret[0].text);
          var visa= api.pageParam.visa;
         initVisa(visa.countryid,visa.continentid);
        },130);
      }
    });
}
//面试类型
function onSelmslx() {
  var result = getVisaDict({'d_Name':"面试类型"});
  result.then(function(res){
     if (res.status==200) {
        openSelector('面试类型',res.info,function(ret){
          if(ret.length<=0)return;
          $('#txtMslx').val(ret[0].value);
          $('#spMslx').text(ret[0].text);
          var visa= api.pageParam.visa;
         initVisa(visa.countryid,visa.continentid);
        },160);
      }
    });
}
function onVisaDetail(visa_id){
  api.openWin({
      name: 'visadetail',
      url: './visadetail.html',
      pageParam:{
        visa_id:visa_id
      }
  });
}
